Summary:  Midgard Library
Name: libmidgard
Version: 1.4.1
Release: ipl2mdk
URL: http://www.midgard-project.org/
Packager: Alexander Bokovoy <ab@avilink.net>
Vendor: Midgard Project <http://www.midgard-project.org>
Source: midgard-lib-%{version}.tar.bz2
Patch: libmidgard-configure.patch
License: distributable
Group: Networking/Daemons
Requires: libMySQL >= 3.22.27, zlib
Provides: midgard-lib

# Automatically added by buildreq on Mon Mar 19 2001
BuildRequires: expat expat-devel glib glib-devel libbfd libMySQL libMySQL-devel libpam perl zlib-devel

%description
Midgard is a freely-available Web application development and
publishing platform based on the popular PHP scripting language. It is
an Open Source development project, giving you the freedom to create
your solutions in an open environment. Midgard is the tool for
creating, modifying and maintaining dynamic database-enabled web
services.

%package devel
Summary:  Development files for Midgard Library
Group: Development/Libraries
Requires: %name = %version-%release

%description devel
Midgard is a freely-available Web application development and
publishing platform based on the popular PHP scripting language. It is
an Open Source development project, giving you the freedom to create
your solutions in an open environment. Midgard is the tool for
creating, modifying and maintaining dynamic database-enabled web
services. This package provides development environment mandatory
for building full Midgard Suite from sources.

%prep
%setup -n midgard-lib-%version
%patch -p0

%build
autoconf
%configure --with-sitegroups --with-mysql=/usr
make
mkdir replication
cp -pr repligard/{README,AUTHORS,ChangeLog,COPYING,NEWS} replication/
%install
make DESTDIR="$RPM_BUILD_ROOT" AM_INSTALL_PROGRAM_FLAGS="-m'u+srx,g+rx,o+rx'" install

%post
/sbin/ldconfig
 
%files
%defattr(-,root,root)
%_libdir/libmidgard.so*
%_sysconfdir/*
%_datadir/*
%attr(4755,mysql,mysql) %_bindir/repligard

%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc INSTALL
%doc INSTALL.ru
%doc NEWS
%doc README
%doc README.ru
%docdir replication

%files devel
%defattr(-,root,root)
%_libdir/libmidgard.*a
%_includedir/*

%changelog
* Mon Mar 19 2001 Alexander Bokovoy <ab@avilink.net>
    - Fixed documentation for Repligard

* Mon Mar 19 2001 Alexander Bokovoy <ab@avilink.net>
    - Version 1.4.1
    
* Sun Oct 08 2000 Alexander Bokovoy <ab@avilink.net>
    - Rebuild from MPRy CVS, Repligard re-written
    - Package split to Midgard-lib and Midgard-lib-devel
    - BuildRequires added using buildreq generator
    
